# AI字幕生成

AIベースの音声認識(STT)技術を活用してコンテンツの音声データをリアルタイムで分析し、テキスト形式の字幕ファイルに自動変換して登録します。

Endpoint: POST /media-contents/{upload_file_key}/ai-subtitles
Version: 3.0
Security: kollus_api_access_token

## Security:

  - `kollus_api_access_token` (unknown)
    apiKey in query access_token

## Path parameters:

  - `upload_file_key` (string, required)
    アップロードファイルキー

## Request fields (application/x-www-form-urlencoded):

  - `language_code` (string, required)
    映像・音声の主要言語
    Enum: "ja"

  - `kind` (integer, required)
    AI字幕タイプ設定
- `0`: メイン字幕
- `1`: サブ字幕
    Enum: 0, 1

  - `status` (integer, required)
    AI字幕公開設定
- `0`: 非公開
- `1`: 公開
    Enum: 0, 1

## Response 204:

  - `204` (unknown)
    OK

## Response 204 fields (application/json):

  - `data` (object)

  - `status` (string)
    処理結果
- `ok`: 成功
- `fail`: 失敗

## Response 400:

  - `400` (unknown)
    Bad request

## Response 401:

  - `401` (unknown)
    Unauthenticated

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Unprocessable entity

